CONTENTS OF THIS FILE
---------------------

* Introduction
* Usage
* Example

INTRODUCTION
------------

A Simple module that introduces a dynamic entity reference field to the [Message](https://www.drupal.org/project/message) entity.

USAGE
-----

 - You could use it to link a message entity to the entity the message is about.
 - Used by [Message recipient](https://www.drupal.org/project/message_recipient) module to collect information (e.g. entity owner) about message's associated entity.
 - ...

Example
----------

```
 /**
  * Implements hook_entity_insert().
  */
  function YOUR_MODULE_entity_insert(EntityInterface $entity): void {
    $message = Message::create(['template' => 'example_create_entity', 'uid' => $entity->get('uid')]);
    $message->set('message_associated_entity', [
      'target_type' => $entity->getEntityTypeId(),
      'target_id' => $entity->id(),
    ]);
    $message->save();
  }
```
